/*
 *  Gtk-Parted - a front-end for libparted
 *  Copyright (C) 2000, 2001  Damien Genet
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef DIALOGOP_H
#define DIALOGOP_H

#include <parted/parted.h>

#include "gtk-parted.h"

/*
 * structure used to transmit args to callbacks functions
 */

typedef struct _gpedOperationInfo gpedOpInfo;
typedef struct _gpedPropertiesInfo gpedPropInfo;
typedef struct _gpedAddInfo gpedAddInfo;


/*
 * functions defs
 */

GtkWidget*
dialogProperties_create                (PedPartition    *part,
                                        gpedInfo        *info);

GtkWidget*
dialogAdd_create                       (PedGeometry     *geom,
                                        gpedInfo        *info,
                                        PedPartitionType type);

#endif /* DIALOGOP_H */
